com.amazonaws.services.codedeploy.model

## Class BatchGetApplicationRevisionsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.BatchGetApplicationRevisionsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class BatchGetApplicationRevisionsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a batch get application revisions operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`BatchGetApplicationRevisionsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetApplicationRevisionsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getApplicationName()` The name of the application that corresponds to the revisions.
`String` `getErrorMessage()` Information about errors that may have occurred during the API call.
`List<RevisionInfo>` `getRevisions()` Additional information about the revisions, including the type and location.
`int` `hashCode()`
`void` `setApplicationName(String applicationName)` The name of the application that corresponds to the revisions.
`void` `setErrorMessage(String errorMessage)` Information about errors that may have occurred during the API call.
`void` `setRevisions(Collection<RevisionInfo> revisions)` Additional information about the revisions, including the type and location.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetApplicationRevisionsResult` `withApplicationName(String applicationName)` The name of the application that corresponds to the revisions.
`BatchGetApplicationRevisionsResult` `withErrorMessage(String errorMessage)` Information about errors that may have occurred during the API call.
`BatchGetApplicationRevisionsResult` `withRevisions(Collection<RevisionInfo> revisions)` Additional information about the revisions, including the type and location.
`BatchGetApplicationRevisionsResult` `withRevisions(RevisionInfo... revisions)` Additional information about the revisions, including the type and location.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetApplicationRevisionsResult

    public BatchGetApplicationRevisionsResult()

### Method Detail

#### setApplicationName

    public void setApplicationName(String applicationName)

The name of the application that corresponds to the revisions.

Parameters:
  `applicationName` - The name of the application that corresponds to the revisions.

#### getApplicationName

    public String getApplicationName()

The name of the application that corresponds to the revisions.

Returns:
  The name of the application that corresponds to the revisions.

#### withApplicationName

    public BatchGetApplicationRevisionsResult withApplicationName(String applicationName)

The name of the application that corresponds to the revisions.

Parameters:
  `applicationName` - The name of the application that corresponds to the revisions.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

Information about errors that may have occurred during the API call.

Parameters:
  `errorMessage` - Information about errors that may have occurred during the API call.

#### getErrorMessage

    public String getErrorMessage()

Information about errors that may have occurred during the API call.

Returns:
  Information about errors that may have occurred during the API call.

#### withErrorMessage

    public BatchGetApplicationRevisionsResult withErrorMessage(String errorMessage)

Information about errors that may have occurred during the API call.

Parameters:
  `errorMessage` - Information about errors that may have occurred during the API call.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getRevisions

    public List<RevisionInfo> getRevisions()

Additional information about the revisions, including the type and location.

Returns:
  Additional information about the revisions, including the type and location.

#### setRevisions

    public void setRevisions(Collection<RevisionInfo> revisions)

Additional information about the revisions, including the type and location.

Parameters:
  `revisions` - Additional information about the revisions, including the type and location.

#### withRevisions

    public BatchGetApplicationRevisionsResult withRevisions(RevisionInfo... revisions)

Additional information about the revisions, including the type and location.

NOTE: This method appends the values to the existing list (if any). Use `setRevisions(java.util.Collection)` or `withRevisions(java.util.Collection)` if you want to override the existing values.

Parameters:
  `revisions` - Additional information about the revisions, including the type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withRevisions

    public BatchGetApplicationRevisionsResult withRevisions(Collection<RevisionInfo> revisions)

Additional information about the revisions, including the type and location.

Parameters:
  `revisions` - Additional information about the revisions, including the type and location.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetApplicationRevisionsResult clone()

Overrides:
  `clone` in class `Object`